<!DOCTYPE html>

 <html>
 <head>
     <!-- Add meta header for IE Compatibility -->
     <meta http-equiv="X-UA-Compatible" content="IE=edge" />

     <!-- Include the flywire.js script -->
     <script src="https://checkout.flywire.com/flywire-payment.js"></script>
 </head>

 <body>
     <!-- Add a button element -->
     <button id="pay">
         Make Payment
     </button>

     <script>
         document
             .querySelector("#pay")
             .addEventListener("click", function (e) {
                 e.preventDefault();

                 var config = {
                     // Set the target environment (demo, prod)
                     env: "demo",

                     // Set your unique code (may differ between environments)
                     recipientCode: "ETP",

                     // Set your preferred locale
                     locale: "en",

                     // Pass in required information
                     amount: 1000,
                     country: "NP",

                     // Display the payer information input fields (true, false)
                     requestPayerInfo: false,

                     // Pass in payer information (all required if
                     // requestPayerInfo set to false)
                    //  firstName: "John",
                    //  lastName: "Doe",
                    //  address: "10, Downing St.",
                    //  city: "London",
                    //  email: "john.doe@flywire.com",
                    //  phone: "+44 7812 345 678",

                     // Pass in custom information (based on your portal settings)
                     recipientFields: {
                         bookingReference: 'ETP'
                     },

                     // Set the return URL where payers are redirected to on completion
                     returnUrl: "https://httpbin.org/get",

                     // Enable payment status notification callbacks
                     callbackUrl: "https://api.ethicaltravelportal.com/flywire-notifications",
                     callbackId: "ETP12345-PMT54321",

                     onInvalidInput: function (errors) {
                         console.error(errors);
                     }
                 };

                 window.FlywirePayment.initiate(config).render();
             });
     </script>
 </body>

 </html>